Open SCAP Library

xccdf_policy_iterator Struct Reference
XCCDF_POLICY

Iterate through policies. More...

`#include <xccdf_policy.h>`

## Public Member Functions
Iterators
bool | xccdf_policy_iterator_has_more (struct xccdf_policy_iterator *it)
| Return true if the list is not empty, false otherwise.
struct xccdf_policy * | xccdf_policy_iterator_next (struct xccdf_policy_iterator *it)
| Return the next xccdf_policy structure from the list and increment the iterator.
void | xccdf_policy_iterator_free (struct xccdf_policy_iterator *it)
| Free the iterator structure (it makes no changes to the list structure)
void | xccdf_policy_iterator_reset (struct xccdf_policy_iterator *it)
| Reset the iterator structure (it will point to the first item in the list)

## Detailed Description

Iterate through policies.

See also
  xccdf_policy_model_get_policies

The documentation for this struct was generated from the following file:

- xccdf_policy.h